datablock TSShapeConstructor(BotKartDts)
{
	baseShape  = "./BotKart.dts";
	sequence0  = "./BotKart_root.dsq root";

	sequence1  = "./BotKart_run.dsq run";
	sequence2  = "./BotKart_run.dsq walk";
	sequence3  = "./BotKart_back.dsq back";
	sequence4  = "./BotKart_run.dsq side";

	sequence5  = "./BotKart_root.dsq crouch";
	sequence6  = "./BotKart_run.dsq crouchRun";
	sequence7  = "./BotKart_back.dsq crouchBack";
	sequence8  = "./BotKart_run.dsq crouchSide";

	sequence9  = "./BotKart_root.dsq look";
	sequence10 = "./BotKart_root.dsq headside";
	sequence11 = "./BotKart_root.dsq headUp";

	sequence12 = "./BotKart_jump.dsq jump";
	sequence13 = "./BotKart_root.dsq standjump";
	sequence14 = "./BotKart_root.dsq fall";
	sequence15 = "./BotKart_root.dsq land";

	sequence16 = "./BotKart_root.dsq armAttack";
	sequence17 = "./BotKart_root.dsq armReadyLeft";
	sequence18 = "./BotKart_root.dsq armReadyRight";
	sequence19 = "./BotKart_root.dsq armReadyBoth";
	sequence20 = "./BotKart_root.dsq spearready";  
	sequence21 = "./BotKart_root.dsq spearThrow";

	sequence22 = "./BotKart_root.dsq talk";  

	sequence23 = "./BotKart_root.dsq death1"; 
	
	sequence24 = "./BotKart_root.dsq shiftUp";
	sequence25 = "./BotKart_root.dsq shiftDown";
	sequence26 = "./BotKart_root.dsq shiftAway";
	sequence27 = "./BotKart_root.dsq shiftTo";
	sequence28 = "./BotKart_root.dsq shiftLeft";
	sequence29 = "./BotKart.dsq shiftRight";
	sequence30 = "./BotKart.dsq rotCW";
	sequence31 = "./BotKart.dsq rotCCW";

	sequence32 = "./BotKart.dsq undo";
	sequence33 = "./BotKart.dsq plant";

	sequence34 = "./BotKart_root.dsq sit";

	sequence35 = "./BotKart_root.dsq wrench";

   sequence36 = "./BotKart_root.dsq activate";
   sequence37 = "./BotKart_root.dsq activate2";

   sequence38 = "./BotKart_root.dsq leftrecoil";
};    

datablock AudioProfile(BotKartdeathSound)
{
   fileName = "./BotKartdeath.wav";
   description = AudioClose3d;
   preload = true;
};


datablock ParticleEmitterData(BotKartFoamEmitter)
{
   ejectionPeriodMS = 3;
   periodVarianceMS = 0;
   ejectionVelocity = 3.0;
   velocityVariance = 1.0;
   ejectionOffset   = 1.0;
   thetaMin         = 80;
   thetaMax         = 90;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "PlayerFoamParticle";

   useEmitterColors = true;

   uiName = "";
};

datablock PlayerData(BotKartArmor : PlayerStandardArmor)
{
	cameraVerticalOffset = 2;
	shapefile = "./BotKart.dts";
	canJet = 0;
	mass = 100;
   drag = 0.02;
   density = 0.6;
   runSurfaceAngle = 55;
   jumpSurfaceAngle = 55;
   maxForwardSpeed = 40;
   maxBackwardSpeed = 10;
   maxBackwardCrouchSpeed = 0;
   maxForwardCrouchSpeed = 45;
   maxSideSpeed = 10;
   maxSideCrouchSpeed = 30;
   maxStepHeight = 1;
   maxUnderwaterSideSpeed = 0;
    maxUnderwaterForwardSpeed = 3;
    maxUnderwaterBackwardSpeed = 2;

	uiName = "BotKart";
	showEnergyBar = false;
	
   jumpForce = 10 * 90; //8.3 * 90;
   jumpEnergyDrain = 0;
   minJumpEnergy = 0;
   jumpDelay = 0;
   minJumpSpeed = 5;
   maxJumpSpeed = 7;
	
	rideable = true;
	canRide = false;
	paintable = true;
	
   boundingBox			= vectorScale("2.5 2.5 1", 4); 
   crouchBoundingBox	= vectorScale("2.5 2.5 1", 4);
	
   lookUpLimit = 0.65;
	lookDownLimit = 0.45;
	
   numMountPoints = 1;
   mountThread[0] = "sit";

   splashEmitter[0] = BotKartFoamEmitter;
   splashEmitter[1] = BotKartFoamEmitter;
   splashEmitter[2] = BotKartFoamEmitter;
   
   upMaxSpeed = 10;
   upResistSpeed = 10;
   upResistFactor = 1;
   maxdamage = 300;

   minImpactSpeed = 250;
   speedDamageScale = 3.8;

   useCustomPainEffects = true;
   PainHighImage = "";
   PainMidImage  = "";
   PainLowImage  = "";
   painSound     = "";
   deathSound    = "";
};
